#! /bin/sh 
#
# VERITAS NetBackup Client for RedHat Linux.
# Copyright 2000 VERITAS Software Corporation, All Rights Reserved.
#

# Make sure this is being run as root.

export NB_ROOT="/opt/openv/netbackup"
 
ISROOT=`/usr/bin/id | egrep "^uid=0\("`
if [ "${ISROOT}" = "" ] ; then
    /bin/echo ""
    /bin/echo "This must be run while logged in as root."
    /bin/echo ""
    exit 1
fi

echo "

  VERITAS NetBackup Client Installation for RedHat Linux.
  Copyright 2000 VERITAS Software Corporation, All Rights Reserved.

  CUSTOMERS SHALL ONLY BE ENTITLED TO USE VERITAS SOFTWARE
  PRODUCTS UPON PAYMENT TO VERITAS OF ANY APPLICABLE LICENSE
  FEES.  ADDITIONALLY, VERITAS SHALL NOT PROVIDE CUSTOMERS WITH
  ANY SUPPORT, MAINTENANCE TRAINING OR INSTALLATION SERVICES
  FOR ANY VERITAS SOFTWARE PRODUCTS UNLESS CUSTOMER HAS PAID 
  FOR SUCH SERVICES.   FOR INFORMATION ON HOW TO PURCHASE 
  VERITAS SOFTWARE PRODUCT LICENSES, AND HOW TO OBTAIN SUPPORT, 
  MAINTENANCE, TRAINING AND INSTALLATION SERVICES, PLEASE
  CONTACT VERITAS THROUGH ITS WEBSITE LOCATED AT:  WWW.VERITAS.COM


"

# Confirm an action with yes as the default
#
#       confirm prompt_string
#
#       Returns 0 for yes and 1 if else
 
confirm () {
    echo "$1 (y/n) "
    read ans
    case $ans in
        Y*|y*)
            echo
            return 0
            ;;
        *)
            echo
            return 1
            ;;
    esac
}


if confirm "Do you AGREE?" ; then
    /bin/echo ""
    /bin/echo "Please enter the name of your NetBackup master server:"
    read SRVR
    if [ -f ${NB_ROOT}/bp.conf ] ; then
        /bin/rm -rf ${NB_ROOT}/bp.conf
    fi
    touch ${NB_ROOT}/bp.conf
    echo "SERVER = $SRVR" >> ${NB_ROOT}/bp.conf

    /bin/echo "
Please enter the names of other NetBackup servers which will be
allowed to back up this client, separated by spaces. If there are no
other servers, simply pres enter."


    read SRVRS
    SRVRS="${SRVRS} "
    while [ "${SRVRS}" ] ; do
        echo "SERVER = ${SRVRS%% *}" >> ${NB_ROOT}/bp.conf
        SRVRS=${SRVRS#* }
    done
    CLIENT=`hostname`
    echo "CLIENT_NAME = ${CLIENT%%.*}" >> ${NB_ROOT}/bp.conf

# Add the collection of OpenVision Netbackup services to /etc/services
    if grep "^# OpenV" /etc/services > /dev/null
    then
     true
    else
     echo "# OpenV*NetBackup services" >> /etc/services
    fi

    if grep "^bprd" /etc/services > /dev/null
    then
     true
    else
     echo "bprd    13720/tcp       bprd" >> /etc/services
    fi

    if grep "^bpcd" /etc/services > /dev/null
    then
     true
    else
     echo "bpcd    13782/tcp       bpcd" >> /etc/services
    fi

    if grep "^vopied" /etc/services > /dev/null
    then
     true
    else
     echo "vopied  12783/tcp       vopied" >> /etc/services
    fi

    if grep "^bpjava" /etc/services > /dev/null
    then
     true
    else
     echo "bpjava-msvc     13722/tcp       bpjava-msvc" >> /etc/services
    fi

# Now add them to inetd.conf
    if grep "^OpenV" /etc/inetd.conf > /dev/null
    then
     true
    else
     echo "# OpenV*NetBackup Services" >> /etc/inetd.conf
    fi

    if grep "bpcd" /etc/inetd.conf > /dev/null
    then
     true
    else
     echo "bpcd    stream  tcp     nowait  root    /usr/openv/netbackup/bin/bpcd   bpcd" >> /etc/inetd.conf
    fi
 
    if grep "^vopied" /etc/inetd.conf > /dev/null
    then
     true
    else
     echo "vopied  stream  tcp     nowait  root    /usr/openv/bin/vopied   vopied" >> /etc/inetd.conf
    fi

    if grep "^bpjava" /etc/inetd.conf > /dev/null
    then
     true
    else
     echo "bpjava-msvc     stream  tcp     nowait  root    /usr/openv/netbackup/bin/bpjava-msvc -transient" >> /etc/inetd.conf
    fi

# Now, HUP Inetd to make the changes take effect.
    if [ -f /var/run/inetd.pid ] ;
    then
     kill -HUP `cat /var/run/inetd.pid`
    else
     killall -HUP inetd
    fi

else
    echo "Removing NetBackup"
    rpm -e xbp > /dev/null 2>&1
    rpm -e bp > /dev/null 2>&1
fi

